package com.yanzuoguang.mq.vo;

import com.yanzuoguang.dao.TableAnnotation;
import com.yanzuoguang.util.helper.StringHelper;
import com.yanzuoguang.util.vo.InitDao;
import io.swagger.annotations.ApiModelProperty;

/**
 * 通过Token找到所在服务器
 */
@TableAnnotation("queue_servertoken")
public class QueueServerTokenVo implements InitDao {

    /**
     * 编号
     */
    @ApiModelProperty(notes = "编号")
    @TableAnnotation("serverTokenId")
    private String serverTokenId;
    /**
     * 服务Id
     */
    @ApiModelProperty(notes = "服务Id")
    @TableAnnotation("serverId")
    private String serverId;
    /**
     * 消息编号
     */
    @ApiModelProperty(notes = "消息编号")
    @TableAnnotation("queueName")
    private String queueName;
    /**
     * 标记Id
     */
    @ApiModelProperty(notes = "标记Id")
    @TableAnnotation("tokenId")
    private String tokenId;
    /**
     * 版本号
     */
    @ApiModelProperty(notes = "版本号")
    @TableAnnotation("tokenVersion")
    private String tokenVersion;
    /**
     * 修改时间
     */
    @ApiModelProperty(notes = "修改时间")
    @TableAnnotation("updateDate")
    private String updateDate;

    @Override
    public void init() {
        this.serverTokenId = StringHelper.getFirst(this.serverTokenId);
        this.serverId = StringHelper.getFirst(this.serverId);
        this.queueName = StringHelper.getFirst(this.queueName);
        this.tokenId = StringHelper.getFirst(this.tokenId);
        this.tokenVersion = StringHelper.getFirst(this.tokenVersion);
        this.updateDate = StringHelper.getFirst(this.updateDate);
    }

    public String getServerTokenId() {
        return serverTokenId;
    }

    public void setServerTokenId(String serverTokenId) {
        this.serverTokenId = serverTokenId;
    }

    public String getServerId() {
        return serverId;
    }

    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    public String getQueueName() {
        return queueName;
    }

    public void setQueueName(String queueName) {
        this.queueName = queueName;
    }

    public String getTokenId() {
        return tokenId;
    }

    public void setTokenId(String tokenId) {
        this.tokenId = tokenId;
    }

    public String getTokenVersion() {
        return tokenVersion;
    }

    public void setTokenVersion(String tokenVersion) {
        this.tokenVersion = tokenVersion;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }
}
